from flask import Flask
from flask_restful import Resource, Api
from flask_restful import reqparse
from flask_cors import CORS
import pandas as pd

from handler import *
from settings import settings

app = Flask(__name__)
CORS(app)
api = Api(app)

parser = reqparse.RequestParser()
parser.add_argument('st', type=int)
parser.add_argument('et', type=int)
parser.add_argument('is_dev', type=int)


class Check(Resource):
    def get(self, game):
        args = parser.parse_args()
        st = args['st']
        et = args['et']
        is_dev = args['is_dev']
        if not all(args.values()):
            return {'msg': '缺少参数'}
        date = pd.Timestamp(st, unit='s', tz='Asia/Shanghai').strftime('%Y-%m-%d')
        where = {
            '_ut': {'$gte': st, '$lte': et}
        }
        mongo_uri = 'mongodb://root:iamciniao@10.0.0.7:27017'
        if is_dev != 1:
            mongo_uri = settings.mongo_uri_dict[game]

        factory = select_db(game, date, mongo_uri)
        res_user = check_data('user', where, factory)
        res_paylist = check_data('paylist', where, factory)
        res_event = check_data('event', where, factory)

        return {
            'user': res_user,
            'paylist': res_paylist,
            'event': res_event,
        }


api.add_resource(Check, '/<string:game>')

if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0', port=5777)
